GNU bug report logs - #55553
28.1; Forward and Reply does not incude message

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Waleed Yousef <wyousef@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 55553 <at> debbugs.gnu.org and Waleed Yousef <wyousef@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 29 Jun 2022 10:24:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 06:24:14 2022
Received: from localhost ([127.0.0.1]:57660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Urm-0007gW-8W
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 06:24:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6Url-0007gH-Ed
 for 55553 <at> debbugs.gnu.org; Wed, 29 Jun 2022 06:24:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sDDAuBXzAo2IXnBIuJbFlwlC/8sUBn21+Kg4eQp39KA=; b=p602ql06km86d/MeCXhyK5CB1a
 vEWXLQXbtqUD4VidkoVzRnGYx53L161fnf4f/rwktqvLM0A+iRVDooV9IhbJy8mwX9GBpISxJ7Q+z
 y0e4EaBOZf7SF8TMGqGnEk0U+qNYy1iPAE1TU/pcODIz3WfArzKR+3KQ0ppl65YKers0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6Urd-0006HS-7J; Wed, 29 Jun 2022 12:24:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN>
 <87v8tr8dqo.fsf@HIDDEN> <87zgiyh8do.fsf@HIDDEN>
 <874k155z0p.fsf@HIDDEN>
X-Now-Playing: The Body's _I've Seen All I Need To See_: "A Lament"
Date: Wed, 29 Jun 2022 12:24:04 +0200
In-Reply-To: <874k155z0p.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 31 May 2022 20:37:42 +0200")
Message-ID: <87pmirkbsr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Then rebinding
 isn't the problem here, it sounds like. I don't have any > further suggestions
 on how to debug this, then, other than trying to use > a vanilla Emacs. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Then rebinding isn't the problem here, it sounds like.  I don't have any
> further suggestions on how to debug this, then, other than trying to use
> a vanilla Emacs.

This was a month ago, and it doesn't seem likely that there'll be any
further progress here, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 31 May 2022 18:37:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 31 14:37:55 2022
Received: from localhost ([127.0.0.1]:48880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nw6kd-0004SH-O7
	for submit <at> debbugs.gnu.org; Tue, 31 May 2022 14:37:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nw6kb-0004S3-Qh
 for 55553 <at> debbugs.gnu.org; Tue, 31 May 2022 14:37:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=4BktrrFUbO8KxGk48RHL3M3O6lR40A16YWXEcpWO+rw=; b=cCnM8cuytt4hI51y3gQJE+RTPX
 3b04AH84FUvU/qQb2KDXzXziB0Uk/zToRtcnd3obZCpp01mfQTfme37Sjflyp1grKaf9yBrd4ynQg
 tu/M1TmtCO4E2yY2mUn3bcgrmxH7gfaTDuq6bAsBDQHFDQwXLnSNeAHvAQdA48iL2YRc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nw6kS-0000ID-Q7; Tue, 31 May 2022 20:37:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN>
 <87v8tr8dqo.fsf@HIDDEN> <87zgiyh8do.fsf@HIDDEN>
X-Now-Playing: Floorplan's _Supernatural_: "Brothers + Sisters"
Date: Tue, 31 May 2022 20:37:42 +0200
In-Reply-To: <87zgiyh8do.fsf@HIDDEN> (Waleed Yousef's message of "Mon, 30
 May 2022 17:07:47 -0700")
Message-ID: <874k155z0p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Waleed Yousef <wyousef@HIDDEN> writes: > R runs the command
    gnus-summary-reply-with-original (found in > gnus-summary-mode-map), which
    is an autoloaded interactive compiled Lisp > function in ‘gnus-msg.el’.
    > > It is bound to R, S R, < [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Waleed Yousef <wyousef@HIDDEN> writes:

> R runs the command gnus-summary-reply-with-original (found in
> gnus-summary-mode-map), which is an autoloaded interactive compiled Lisp
> function in =E2=80=98gnus-msg.el=E2=80=99.
>
> It is bound to R, S R, <menu-bar> <post> <Reply and yank>.
>
> (gnus-summary-reply-with-original N &optional WIDE)

Then rebinding isn't the problem here, it sounds like.  I don't have any
further suggestions on how to debug this, then, other than trying to use
a vanilla Emacs.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 31 May 2022 00:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 30 20:08:04 2022
Received: from localhost ([127.0.0.1]:46253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvpQZ-0002eI-QC
	for submit <at> debbugs.gnu.org; Mon, 30 May 2022 20:08:03 -0400
Received: from mail-pl1-f172.google.com ([209.85.214.172]:37650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nvpQW-0002di-SE
 for 55553 <at> debbugs.gnu.org; Mon, 30 May 2022 20:08:01 -0400
Received: by mail-pl1-f172.google.com with SMTP id t2so3834789pld.4
 for <55553 <at> debbugs.gnu.org>; Mon, 30 May 2022 17:08:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=H0XBFnmd569An2M2KQ0Tf53UDuzq8DWFmjFgyRP3UgA=;
 b=3xgy2O3fnpO0VS4AxsHwvaF6SRgCg3KGoHl5Zbbfskzns14mlGDIuFmlDr4Hrwu7yn
 OGDlzDg1cTXRPK2pWV7Cw8Va6BoGA5Naw6n1vnjvI+ry8aEwpLcokWuSjSmcb1s9rPFW
 M3zfPEt7wIY9lz9fHzLpA6b6qGvEvWZbuqh5kGMxqRWkF+4xS7LeKwitTOKs0oIxznQS
 0hFpXRKxryehp/joHVWgNx194e1/PUwiQO/WBfznKkQlMeQRXeLG+2SPOwrq1F88QqH0
 9lFeEAtr5t7krFzPOdzIYWS7Y5+DJM5z4l733AlluBO71YG8q33Nu9sdazfwU0dOoxhp
 p74w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=H0XBFnmd569An2M2KQ0Tf53UDuzq8DWFmjFgyRP3UgA=;
 b=LI4QiQQG1aM/Vw5kjRWbDCKTnVy/nk32kD4HgtBjWBRed7Z4g4s+lxSO3joxNKVeXY
 uBbTD7z/nTjEsQJ5dpENudM4VLyhXNkaSH+IhMfEMEap6vuEQP/fqec0n/OeVWmSXHHE
 WRAETAIXxbL1T1zJ0dwBy9O9Et6S1IXRbU8Losc7Zvgj5biKpcQXDS6NeA9O8A2e3dle
 AaDMFBQoWuozYWJ71jTipX2nAg+iy5Q4wcasxsXSXUDPQndIxKXLdl6Xz8iVl7Y0Q2YZ
 mr0HwmaSSH5KFnEK4wfCGAOEX4YbsCWZwQLjGIHXP/b9TtkY1ew9VdGKP6CRBsRLGNHE
 SCyA==
X-Gm-Message-State: AOAM533rDYoxSBjrSJdoOc4FahlETT/UkN7O+Qsrb4Ojlq4i/aJ6vVVh
 uz0MM/eozTd3rMlTijOCX9UjK6OXNCgHKoxz
X-Google-Smtp-Source: ABdhPJzIBagBeafe3OhxEjWi8b6e02EKFXvNKpAIf7cOW1Q4ZscoTaZFDrjE8qf6I8cRUNMXmJ8jxw==
X-Received: by 2002:a17:902:d4d1:b0:163:82c7:24 with SMTP id
 o17-20020a170902d4d100b0016382c70024mr21916376plg.5.1653955675061; 
 Mon, 30 May 2022 17:07:55 -0700 (PDT)
Received: from archlinux (node-1w7jr9strgjopltclicp0x0nn.ipv6.telus.net.
 [2001:569:bf40:5b00:ea2f:4c6:c3db:c593])
 by smtp.gmail.com with ESMTPSA id
 p11-20020a1709028a8b00b00163247b64bfsm9673643plo.115.2022.05.30.17.07.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 May 2022 17:07:54 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> <87v8tr8dqo.fsf@HIDDEN>
Date: Mon, 30 May 2022 17:07:47 -0700
In-Reply-To: <87v8tr8dqo.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 May 2022 12:35:27 +0200")
Message-ID: <87zgiyh8do.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ok, the command C-h k R gives me this:


R runs the command gnus-summary-reply-with-original (found in
gnus-summary-mode-map), which is an autoloaded interactive compiled Lisp
function in =E2=80=98gnus-msg.el=E2=80=99.

It is bound to R, S R, <menu-bar> <post> <Reply and yank>.

(gnus-summary-reply-with-original N &optional WIDE)

Start composing a reply mail to the current message.
The original article will be yanked.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 28 May 2022 09:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 05:30:51 2022
Received: from localhost ([127.0.0.1]:36422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nusmZ-0008Ue-3M
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 05:30:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nusmV-0008UQ-C0
 for 55553 <at> debbugs.gnu.org; Sat, 28 May 2022 05:30:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54410)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nusmP-0005Mk-VM; Sat, 28 May 2022 05:30:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=FyWFpGz+H1VMbnnEgpNSjcdHW6IFpNx1hLPjT2JhphM=; b=PiZNBNr/0U4F
 gG2o16FJQDl4yBVWNb5zloW3CrEg/M1Ifiw14rFcqyC7PFXQHuvJ6stSA4cBhyL1EoEUuKUu03byn
 Fn92v7QQ+8bVkcPqsejviDXTB2/cfyV3R9q2AbFVQOqZg+DyYCe1UQrasEa+0ZOkP7521rPlLHXC3
 CyQA7TjLzFx4J5+X7oVwO+v9z5636JPrgHhAKBg9hCZ6LTCWcIwmFX91428lS9hc7PSSJdvxi2OtR
 aYhv1rT/ynOkQ/oX5GZeCOcxTkcywTNaHqAqcjA+Fy5ixEsP5aznVX3u1V/vFC3bu6ohfeWDqauG2
 xRqx+j6ShO2gJ6Oz1owMIQ==;
Received: from [87.69.77.57] (port=2113 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nusmM-00026r-3R; Sat, 28 May 2022 05:30:40 -0400
Date: Sat, 28 May 2022 12:30:35 +0300
Message-Id: <831qwem2bo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
In-Reply-To: <875ylq83qy.fsf@HIDDEN> (message from Waleed Yousef on Sat, 28
 May 2022 01:23:33 -0700)
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> <87v8tr8dqo.fsf@HIDDEN>
 <87a6b28m0x.fsf@HIDDEN> <83bkvimb6j.fsf@HIDDEN> <875ylq83qy.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Waleed Yousef <wyousef@HIDDEN>
> Cc: larsi@HIDDEN,  55553 <at> debbugs.gnu.org
> Date: Sat, 28 May 2022 01:23:33 -0700
> 
> 
> I opened an issue on Spacemacs. Can I share with them your reply?

Yes, of course.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 28 May 2022 08:23:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 04:23:43 2022
Received: from localhost ([127.0.0.1]:36389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nurjb-0006rG-Me
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 04:23:43 -0400
Received: from mail-pf1-f181.google.com ([209.85.210.181]:34624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nurjZ-0006r2-Qx
 for 55553 <at> debbugs.gnu.org; Sat, 28 May 2022 04:23:42 -0400
Received: by mail-pf1-f181.google.com with SMTP id c65so5675652pfb.1
 for <55553 <at> debbugs.gnu.org>; Sat, 28 May 2022 01:23:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=3m7CAAZIZIWqYJFxtOtrfeoOEcJDGSmjhYFOsQyi1Ow=;
 b=zEk+SKS9Gcvje7+6J95u0uv8zRC1GDtjvbUG03Rn1HXFp2cDqtMoxQLq9vARYSB2Ic
 BObf/kGOseiDfTXMqI7Bf+/eoT6+Zc7Z4Y8BVF6GSzHkf67iwfmmeAiLcs7FijgF1+zZ
 ckCsExOXkO2xEcOFu/T/pZhLyPUIKwarlqsrmIw3Vzfng8X/IXutVqM3/zd+cU2we5zi
 /W5XjZEawdYy66L1vJUM9Ew5j/8X2XACitJHVUvWzPNq9aDP++8WWp5X0hNWj9jRyoyu
 2rDiVMSkobn+yxe97m8dy922I0x/gP1Uqw0njT3Uf7jPkpCLxr6FLC4rVSevn7fsaA1z
 fHxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=3m7CAAZIZIWqYJFxtOtrfeoOEcJDGSmjhYFOsQyi1Ow=;
 b=d9LY+KXag4GJr9RHWyrNg7OqdRPmpA+GRToNgiXB66tNw5O1im9sEuPWS6kwt5lirw
 jxnU3XzDUeMM8tq9DyPp/LqBQPZ0PA6rP7J8zrHFG3UGRoXSwafkHX4IRZfwtGF4Pamv
 FNYH9blu5/hlL29pUhBcQWDgI26z4YZh+3tadN413Gm46j2N/3Ann0+Hg+PkA3REkKQz
 g5SOViYugxxTDgeYQVAVi8wCTaV4mCyWIAndjfIze6BInEHqNO/imUQa2dqhYVTU/YEV
 u2D94UqsD6F++NGNW2jFFf7JA0Vq+R8/6FKDHpAy6jD88nHmR3nIiZaoO3hCEV+WF8Nt
 sBwg==
X-Gm-Message-State: AOAM533hWtSyQOVneSDGOPIaOthcSUszS8yDbItV/7F9ZBJnmLgVAkSv
 E7bG2vRnDZ8JYF6sxJBQkprWxJtE+9VHIgr2
X-Google-Smtp-Source: ABdhPJzLqUKq6xfcpemqz1KuUaWt7CMQU8JjGibDts5jq7og6WCAPoGM0AElO+PoxqHI1cJ68oX8kA==
X-Received: by 2002:a05:6a00:2442:b0:4fd:8b00:d2f with SMTP id
 d2-20020a056a00244200b004fd8b000d2fmr47182408pfj.39.1653726215967; 
 Sat, 28 May 2022 01:23:35 -0700 (PDT)
Received: from archlinux (node-1w7jr9strgjopltclicp0x0nn.ipv6.telus.net.
 [2001:569:bf40:5b00:ea2f:4c6:c3db:c593])
 by smtp.gmail.com with ESMTPSA id
 w187-20020a627bc4000000b005185407eda5sm4730554pfc.44.2022.05.28.01.23.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 28 May 2022 01:23:35 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> <87v8tr8dqo.fsf@HIDDEN>
 <87a6b28m0x.fsf@HIDDEN> <83bkvimb6j.fsf@HIDDEN>
Date: Sat, 28 May 2022 01:23:33 -0700
In-Reply-To: <83bkvimb6j.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 May
 2022 09:19:16 +0300")
Message-ID: <875ylq83qy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I opened an issue on Spacemacs. Can I share with them your reply?




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 28 May 2022 06:19:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 02:19:39 2022
Received: from localhost ([127.0.0.1]:36252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nupnV-0001aG-UP
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 02:19:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nupnI-0001Zp-JL
 for 55553 <at> debbugs.gnu.org; Sat, 28 May 2022 02:19:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52564)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nupnD-0001Rr-A9; Sat, 28 May 2022 02:19:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+N9Ao/DQD6hj/+R97LOK/77381FgVutVJAuTJ59xERM=; b=X6mQSeHqeHwW
 aBxcWIXnHX7WUimJ0iYHly+5kLZ8DUJa3BytDgBOlsiiW3n+xwwIGBexedKXskR2T8PbofnnkcSAy
 ItPYx3xMBGH7RGzXijQP4sEbtHH9s6OLsUeM0EVGAVei+w4D0sDhRGdZKzxA7CjScWzD8b4L0RBBa
 2J+J1B+t6wpN60n2yOp+Q2KJj2RocJgErzi3g0eejtyBoL9CwuqTi5EVyMog0sX/Su6lL2KeXBBzr
 vjs9BrAOs/lfYCE5p5n+dTyNkZcCMnQOu1mQUZ4A1KFCsJbTNxhAY3BvgQJWRInq+zaVfkw3wlVTt
 dbUug68BjqdcMz59WU/Xeg==;
Received: from [87.69.77.57] (port=2182 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nupnC-0006Kf-NJ; Sat, 28 May 2022 02:19:19 -0400
Date: Sat, 28 May 2022 09:19:16 +0300
Message-Id: <83bkvimb6j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
In-Reply-To: <87a6b28m0x.fsf@HIDDEN> (message from Waleed Yousef on Fri, 27
 May 2022 18:48:46 -0700)
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> <87v8tr8dqo.fsf@HIDDEN>
 <87a6b28m0x.fsf@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 55553 <at> debbugs.gnu.org
> From: Waleed Yousef <wyousef@HIDDEN>
> Date: Fri, 27 May 2022 18:48:46 -0700
> 
> BTW, do you discourage me from using Spacemacs? So far it works very
> well except with gnus.

What Lars is saying, AFAIU, is that if the Gnus setup in Spacemacs is
faulty for some reason, you should talk to the Spacemacs maintainers
and ask them to resolve the problem, by avoiding to make
customizations which prevent Gnus from working properly.

The Emacs project is not involved in Spacemacs and cannot be
responsible for the customizations they make.  We can help and advise,
but eventually it's the job of the Spacemacs maintainers to fix their
customizations of Emacs and Gnus.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 28 May 2022 01:48:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 21:48:55 2022
Received: from localhost ([127.0.0.1]:36123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nulZX-0003BM-Ke
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 21:48:55 -0400
Received: from mail-pj1-f54.google.com ([209.85.216.54]:56216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nulZV-0003B7-Mn
 for 55553 <at> debbugs.gnu.org; Fri, 27 May 2022 21:48:54 -0400
Received: by mail-pj1-f54.google.com with SMTP id n10so6039975pjh.5
 for <55553 <at> debbugs.gnu.org>; Fri, 27 May 2022 18:48:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=XV4/FW48WjVGmnoyINRGgER5aA4jF/yPjUfWsDi8K7M=;
 b=Zczw17uT3mI65frEi7bHp4vWFky0YRNm2Rtc20AQ6i8lTx/tvCSMAVGlEfQg1ATlNi
 88C8+xwsFzJyghrVXLJibIrXrUeUpVYIpBa8Tpsd4rh7JBsQzomQdeWPs3GDbnTT6zGa
 Z9Nw/PXDFvjZyQtj/0Z5NgGO/6BCX6Wvm4eqU06A43QJQTp8SsBYSzPtx50TBBBKMr0h
 JHn4yaVt01X6eRvJPqYfJ2B76O3otisko+egjPq+d3mbhaYZZvHjnR4fy8xGKwFwfIbS
 rUpJgGNgyL4B9idEUDYct/JSUyYb75oOrnRpQLB6da6P082swjHxwXCRph1Hra6AdDsr
 +gOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=XV4/FW48WjVGmnoyINRGgER5aA4jF/yPjUfWsDi8K7M=;
 b=MPqU6KqRRaRFRwrG2TGIeD7qe/nbEQjwtiADZSjDIjj2RnV7r5e4L7ytIUyZ4Jc967
 rQ5PWVZRZ0uE7RgFHkIUGEk+LySejYz8j2SG2P3sCP8yYkLTkViImTkj4PpsNvidhrlZ
 qdExt2rOSjKm4gw28QpYNzq+KxsAhL4zQGtmCgjVSRHaztbiEFE/t3BTtfmQgcztRT3u
 O8HX/EpIXgqu/oqaCh7v2rYK2U3y1NKMBUTh2nGc8gPZdMq96wBFIG/gG2R87B3ec4fp
 xDlp73bKbGnJOZuYWAdVRemKjjqLSzveWLcwYg25jPuyMBVJe+tu97jyyxX4T1lGCK/S
 HKmw==
X-Gm-Message-State: AOAM531H87p+sQ8Uwbc+jn3BhnYGlkdCrVmlXthVrJ15wCVxyDE9STa2
 ZHjYSSN0EVi6z5Br8HInZu5xRnV5/AJ/Qw==
X-Google-Smtp-Source: ABdhPJzI2g2gnLpL2sfVXXRT7rJZeYBNy0v8wuvHf3OuE9/hdFjlQmywBwm7/YEJyIsHFBYT6Ly/4Q==
X-Received: by 2002:a17:90b:3803:b0:1e0:da02:b903 with SMTP id
 mq3-20020a17090b380300b001e0da02b903mr11081098pjb.125.1653702527879; 
 Fri, 27 May 2022 18:48:47 -0700 (PDT)
Received: from archlinux ([209.52.88.145]) by smtp.gmail.com with ESMTPSA id
 185-20020a6217c2000000b0050dc76281ebsm4128129pfx.197.2022.05.27.18.48.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 27 May 2022 18:48:47 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> <87v8tr8dqo.fsf@HIDDEN>
Date: Fri, 27 May 2022 18:48:46 -0700
In-Reply-To: <87v8tr8dqo.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 May 2022 12:35:27 +0200")
Message-ID: <87a6b28m0x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


It seems that I have a problem; the command (and any other C-h k
command) gives the message:

mapcar: Symbol=E2=80=99s value as variable is void: code-cells-mode


BTW, do you discourage me from using Spacemacs? So far it works very
well except with gnus.





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 27 May 2022 10:35:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 06:35:39 2022
Received: from localhost ([127.0.0.1]:32827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuXJi-00068T-TV
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 06:35:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nuXJg-00068B-H8
 for 55553 <at> debbugs.gnu.org; Fri, 27 May 2022 06:35:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=P6xR7W2xPlQRHTZyWn3sJf3zecqz+aCxJvBOsvS7iqI=; b=QdhmDvDEFhRbztK5lraenAMSGF
 gZtR4OzCCBkBPS62823nhPbNagryYye3ltnyw8RxSBpCK5wnmKls2LfEoYzgF6U/y1DVb0vOpUHGs
 Nh0o+m0FVNXBZOwvD8IUgUTw10yao04Bqbo7nawXkbiWM99Ormahyxyb+oG6ZmH9JQVY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nuXJX-0006uP-VR; Fri, 27 May 2022 12:35:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87wne89hm8.fsf@HIDDEN>
 <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN>
X-Now-Playing: EASYFUN's _PC Music Volume 3_: "Be Your USA (feat. liris)"
Date: Fri, 27 May 2022 12:35:27 +0200
In-Reply-To: <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN> (Waleed Yousef's
 message of "Thu, 26 May 2022 13:46:16 -0700")
Message-ID: <87v8tr8dqo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Waleed Yousef <wyousef@HIDDEN> writes: > I am using
 spacemacs.
 I did not define more packages than the default Spacemacs is a whole mass
 of odd packages. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Waleed Yousef <wyousef@HIDDEN> writes:

> I am using spacemacs. I did not define more packages than the default

Spacemacs is a whole mass of odd packages.

What does `C-h k R' say if you execute that command in a Gnus summary
buffer?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 26 May 2022 20:46:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 16:46:29 2022
Received: from localhost ([127.0.0.1]:60129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuKNI-0005bz-NK
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 16:46:28 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176]:43527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nuKNE-0005bk-HU
 for 55553 <at> debbugs.gnu.org; Thu, 26 May 2022 16:46:26 -0400
Received: by mail-pl1-f176.google.com with SMTP id b5so2398940plx.10
 for <55553 <at> debbugs.gnu.org>; Thu, 26 May 2022 13:46:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=content-transfer-encoding:from:mime-version:subject:date:message-id
 :references:cc:in-reply-to:to;
 bh=vshtVaJG01DcBo59lx+K1o6o//JfSVxrhx9Nb/u6Se8=;
 b=H1QybHr2+uQ4mRP9f9RZkMJVpKd6/EXIraPANCNWro9EX6sUSxo35gAK+iEyzOyvNz
 KvLo26X8Es3dmMWcV/HI/nKsTEDvwH8rNhbKqXg2mpEsIPWrlvwKyJhhoHFg/5SKqiT1
 XhHms6WRYj0lSKjhoVcXzgvZ+cLnGYaBUzyw518iwriv4AFqwaURiaYqp4hP1l3BfgAp
 MkvH0j0ChCy+uCY0NRDE6XJimeMhXgtfMKCRt4W/lbrbFzjPUtnbGJC3R3UpfaOB2dQJ
 YrpGqz86HwCOS+l5iJV7ENQKQpp4rYZJ0athSv+neYEYO0w3aO4WOZWsFIxhy3gi0sVp
 uiuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:content-transfer-encoding:from:mime-version
 :subject:date:message-id:references:cc:in-reply-to:to;
 bh=vshtVaJG01DcBo59lx+K1o6o//JfSVxrhx9Nb/u6Se8=;
 b=U4UmnjwDgAou9V1AxIPAfEFFLv71buwWSy+oKpHqvBqkmcqkElMlZK34oT5FdpN+CK
 JMY9cDDVvmT4F6ocKNhYXmD65tneKomui7rOIUrKVwG9uJRjps3YTjh2BwLhvaFdB+jx
 raVBncFsBQeFAO920Vek3mW26EA1SK/CykyKBqp3TzRZOM4MHEQa7W19URHsazL3SEOE
 clqDJnAY8JbMSIXjekmvAM2Kp9hiHWHi4kdkvNCZaUxvu6w2l35aMraBdvXwL+cYmhn1
 qZqJ3ToArzb3UIK/LH9lv1u4OwhMCeswJXcgcTqdfuqAMBGZnEhenChQ2Jbq+kOhUckz
 SRnw==
X-Gm-Message-State: AOAM532AR1KQCSc711E00g/cJvSLe46oiBLXaAvTNzVmVcsUby3wIp31
 iCpbshPgQe7O9CrXSTtBK+W6m4/WzlVZTg==
X-Google-Smtp-Source: ABdhPJyaYOn7Ppmr/E8zg05ReT5VDXgMnk/+Pq4SXKr1wLwxDshfat0J7xKdbU19OOM+O/5NZuUs3w==
X-Received: by 2002:a17:902:e0cc:b0:163:8557:ba49 with SMTP id
 e12-20020a170902e0cc00b001638557ba49mr2609886pla.36.1653597978619; 
 Thu, 26 May 2022 13:46:18 -0700 (PDT)
Received: from smtpclient.apple ([209.52.88.224])
 by smtp.gmail.com with ESMTPSA id
 n9-20020a170902e54900b001634d581adfsm2021130plf.157.2022.05.26.13.46.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 26 May 2022 13:46:17 -0700 (PDT)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
From: Waleed Yousef <wyousef@HIDDEN>
Mime-Version: 1.0 (1.0)
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
Date: Thu, 26 May 2022 13:46:16 -0700
Message-Id: <C8B01E83-B1B4-4F01-9A8A-A3BB5E0E6CD2@HIDDEN>
References: <87wne89hm8.fsf@HIDDEN>
In-Reply-To: <87wne89hm8.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: iPhone Mail (19E258)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I am using spacemacs. I did not define more packages than the default

> On May 26, 2022, at 1:14 PM, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>=20
> =EF=BB=BFWaleed Yousef <wyousef@HIDDEN> writes:
>=20
>> In addition to my last reply (which I even cannot find it in the sent
>> messages, which is another anomaly that started occurring
>> simultaneously with the problem that I reported) an additional
>> information that may help is this. The same problem happens when, e.g.,
>> I start editing a message, then save it, then go to "drafts" to open it
>> using `e`. This starts a new empty message, and does not open the saved m=
essage!
>=20
> It sounds like you're using a bunch of packages/customisations that's
> redefining key bindings.  Try removing those.
>=20
> --=20
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 26 May 2022 20:14:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 16:14:22 2022
Received: from localhost ([127.0.0.1]:60085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuJsE-0002e9-4G
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 16:14:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nuJs9-0002ds-7H
 for 55553 <at> debbugs.gnu.org; Thu, 26 May 2022 16:14:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=N/55hGHrTO2/QKnaJ9EQZePPgfM0jvX/ibG0wnAZ/J4=; b=IOI/pRLgy6txYdPKu0MQ/qn0GB
 l+OKC39GxALGBtHDGLkMx4iRaWGxt08Lyc2DfkwZXD05PFyjkBKZTuPPHi4cD+d2xaQ2QRbQ4Kg+o
 1rXtsoCPxPKGRNqIzlfgZm/moglGVdbYKgoj6SAyw1UAg/CyZi37jirv83m3AD2KtEvo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nuJs0-00086s-26; Thu, 26 May 2022 22:14:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87mtfbekm2.fsf@HIDDEN> <87wnefvw88.fsf@HIDDEN>
 <871qwg9htr.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVVRU6/aJ/Xprmp
 SFT///8XRP7+AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFGhQNIRllDwsAAAG4SURBVDjLbZQBtusg
 CERRNyC4AaEb0Lj/vb0BkzTp/5zTNvVmBgK0RHckRlR6Rs04VDaEvgmCxWr+D5isMOvJ+H2e2OKD
 SN4kSafCJEbHy8wF02wgT7InmAJ3s2oO9XteIIha8epZn04hiND89Sos9bhB+YLEsp1CRvkGk63g
 5EN0VDGb9XZiTR0X4jej4noL5JNrEnfpxke/ALN0nCBHZLLenuCDJ+meqVtPO8NyINYJhlGUppDM
 5gB30mEXwCAHsYO6E/hzdMh9xsQxaYm0Aaz+C3K8j6Q/IJLDk0QvQAF6dLKPQpcCzxKK0wkiCTBO
 oAFKdlMHlVL9AqWMi6UA6OJOHqBHvg5FRdtjgH7vVYEmiiwB0J8cK+RRqfmS17wB2lv26Jna9IJj
 qxzoDeIBOSZBSe2TXkDcWYv4vu0luhRRy17EH+DfobwAt9MKu4aOrnXuqqIdG1jRtjxagOjrBmOf
 LxbIFU4X6Pt84beIyTa6ga5RNvBYAZAVrmv4MgVovDcXpihjrdi+qW2OdgIovFT3mrOOJ4D8zJ3q
 SBukM51HGbNg0Cc4Be0XoCLx+vy44D+jUhlexx/D6Vwg3VpP5AAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMi0wNS0yNlQyMDoxMzozMyswMDowMO9bZvsAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDUt
 MjZUMjA6MTM6MzMrMDA6MDCeBt5HAAAAAElFTkSuQmCC
X-Now-Playing: Aksak Maboul's _Redrawn Figures 2_: "Fin (Stubbleman Remix)"
Date: Thu, 26 May 2022 22:14:07 +0200
In-Reply-To: <871qwg9htr.fsf@HIDDEN> (Waleed Yousef's message of "Thu, 26
 May 2022 13:09:36 -0700")
Message-ID: <87wne89hm8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Waleed Yousef <wyousef@HIDDEN> writes: > In addition to
 my last reply (which I even cannot find it in the sent > messages, which is
 another anomaly that started occurring > simultaneously with the problem
 that I reported) an additional > i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Waleed Yousef <wyousef@HIDDEN> writes:

> In addition to my last reply (which I even cannot find it in the sent
> messages, which is another anomaly that started occurring
> simultaneously with the problem that I reported) an additional
> information that may help is this. The same problem happens when, e.g.,
> I start editing a message, then save it, then go to "drafts" to open it
> using `e`. This starts a new empty message, and does not open the saved message!

It sounds like you're using a bunch of packages/customisations that's
redefining key bindings.  Try removing those.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 26 May 2022 20:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 16:09:46 2022
Received: from localhost ([127.0.0.1]:60079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuJnm-0002XM-KL
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 16:09:46 -0400
Received: from mail-pg1-f175.google.com ([209.85.215.175]:40945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nuJnl-0002X9-09
 for 55553 <at> debbugs.gnu.org; Thu, 26 May 2022 16:09:45 -0400
Received: by mail-pg1-f175.google.com with SMTP id x12so2169895pgj.7
 for <55553 <at> debbugs.gnu.org>; Thu, 26 May 2022 13:09:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=8ECa1B08csxhWX86StkbAmS3ZE+gzbTU2dwPqYLzw5I=;
 b=x8uT+nnWL8I7ZhyFQl14Yge+7+Zs5XLetrej4HVJ9w9GBAmiyNdZiO0SMZjtqPmcrL
 t99GBUPDHnasE3EnTBA/gr9qCEFhXQXPYXrd1Qss99Ye0Vmi6WdVC6584Pn6bp2gCZLr
 1wXLbXzP9yRMLF60STLLw7OB7sKajRli2/2qed/ObJ9LW0A1e63Hzv++Q5usj1MWl+bi
 Xab8f3ZB4I8D9k592LZKElyfdXbOY0iB1QoDTwlSEkUD8XXYKePtBWqziHs6jj+kj5wN
 BATLa/nqqRUGCG2YiYSDnLpasWeb7T/my3ScF2IPque211VFiXwb2cyyc2X3nn0JifJt
 t5jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=8ECa1B08csxhWX86StkbAmS3ZE+gzbTU2dwPqYLzw5I=;
 b=VnKCc5/AlZE4cTfxXgqgU6TW8oxtFi+tnoMJHPghC0vHHEOCZ9JNOv5ba6NUx2T5Vu
 AkQXHJ7kvneM8zmHKkmr4YEotuZN3dmJsz2ocYuP9gfiW/VHWFPcePMnsT7uUXlFicAq
 60hQoNuBDpXf1bsFCXvfrvTirGgmdb2QUX5/OSe5S9RTFHy6rZEXJi1idO21RuJMbxmK
 /jnIPagjq9lUNjSD50BixAwr8Jb9CPqz98nn94ZOuyFg6UxElKyxJFNM/ZcO8z+v5ZdW
 l37bDuQzoDx3tZI6KBzQEjdM21G6/BIUVdeSI6yC8deMcm75HaU3VxbMxuj8cG9+lRfk
 Yd4Q==
X-Gm-Message-State: AOAM530mt129lGtDzlmAGe+KTEjypBbB5NlH+SQRALyg7s2pxcNXTcHi
 cCSqA/j37xtQneeMoyqOn8SIfVJ8Og5O8w==
X-Google-Smtp-Source: ABdhPJxuScnq2yv63gKbsk/wmvN+jNe8yMzT6PmyC36naQSh71DTW4B35PCboLyLt7MuhDuZW39Stw==
X-Received: by 2002:a63:10d:0:b0:3fa:fdd0:a8d0 with SMTP id
 13-20020a63010d000000b003fafdd0a8d0mr5831028pgb.331.1653595779218; 
 Thu, 26 May 2022 13:09:39 -0700 (PDT)
Received: from archlinux ([209.52.88.75]) by smtp.gmail.com with ESMTPSA id
 j8-20020a17090a060800b001cd4989fee6sm30070pjj.50.2022.05.26.13.09.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 26 May 2022 13:09:38 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87mtfbekm2.fsf@HIDDEN> <87wnefvw88.fsf@HIDDEN>
Date: Thu, 26 May 2022 13:09:36 -0700
In-Reply-To: <87wnefvw88.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 21 May 2022 15:41:43 +0200")
Message-ID: <871qwg9htr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


In addition to my last reply (which I even cannot find it in the sent
messages, which is another anomaly that started occurring
simultaneously with the problem that I reported) an additional
information that may help is this. The same problem happens when, e.g.,
I start editing a message, then save it, then go to "drafts" to open it
using `e`. This starts a new empty message, and does not open the saved message!




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2022 06:23:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 02:23:11 2022
Received: from localhost ([127.0.0.1]:43532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsezf-0007a9-K4
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 02:23:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:50752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nseze-0007a2-2P
 for submit <at> debbugs.gnu.org; Sun, 22 May 2022 02:23:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50468)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nsezd-0007fX-Qq
 for bug-gnu-emacs@HIDDEN; Sun, 22 May 2022 02:23:09 -0400
Received: from ciao.gmane.io ([116.202.254.214]:42570)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nsezc-0002eg-8w
 for bug-gnu-emacs@HIDDEN; Sun, 22 May 2022 02:23:09 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nsezZ-00047l-Vh
 for bug-gnu-emacs@HIDDEN; Sun, 22 May 2022 08:23:05 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
Date: Sun, 22 May 2022 11:52:56 +0530
Message-ID: <87bkvq2iin.fsf@HIDDEN>
References: <87mtfbekm2.fsf@HIDDEN> <87wnefvw88.fsf@HIDDEN>
 <87bkvqpb30.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:mVkvSTxImXjzZdnt12/I4XudhNw=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Waleed Yousef <wyousef@HIDDEN> writes:

> This is an example. I just typed 'R' to reply your email. As you see,
> your original message is not included.

It is a key binding issue due to some package. When you are reading a
message (like this one), use the following key sequence to get the key
binding.

C-h k F

i.e. Control 'h' then 'k' then 'F'.

It should be "gnus-summary-followup-with-original" when you are reading
news.





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 22 May 2022 02:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 21 22:15:16 2022
Received: from localhost ([127.0.0.1]:43300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsb7j-0004om-Tl
	for submit <at> debbugs.gnu.org; Sat, 21 May 2022 22:15:16 -0400
Received: from mail-pl1-f182.google.com ([209.85.214.182]:35526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nsb7e-0004oP-8F
 for 55553 <at> debbugs.gnu.org; Sat, 21 May 2022 22:15:14 -0400
Received: by mail-pl1-f182.google.com with SMTP id c2so10302664plh.2
 for <55553 <at> debbugs.gnu.org>; Sat, 21 May 2022 19:15:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=0zUGGQ/QWocsdyz4HjaNfmUyiiZIXOJt8oegGNXnQXE=;
 b=ZPnVL6wEDKlnVTOZ1ng7RfCO++tyJToW8TajMqG7mpS/8JUUoLsBIpx5xC/Q/K31lL
 gVKQ/sZkoNEAHMTdEtPMcKYNIgWHRGkbIP9LpkT2EfAWz21IAgX5Fy9220q6rz1NaIQn
 BfQKS7V4qPO5pP6X5HCx1Cfl9mM8lgjHrAANgI825oB/TcgwN4xsx0fFjxMPDAJ8ey8x
 TAcXrs+d3+MU10+npYju1d4eX7plNuZVkd3ugwBx5EOr4EQn2TnfIiQOBNwSVSxIAdU3
 YrW6i/kDDIRrnpfqH6lGCFwj597J9+/38uhVv+BngWI2TxdfTzZGyl2BybUOi9Ds13Qp
 OaXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=0zUGGQ/QWocsdyz4HjaNfmUyiiZIXOJt8oegGNXnQXE=;
 b=Bd8bin4x1OvHLUbkOxCTUBNGWmal2FLSJJe1Vf2UGsSTOAcWrqW0MOdp9gaK7bPV2E
 6LvnrDA0clAwguOLOwW46l7PxjP67C09G0EDQwu7TvERDMAUs+LHFWyqIKwc05OdZyOj
 DnV0yWH2jgdJCVZAtp/Jiop+xwPbfqS3LhU8GdztwknvTyIWbe7128FWGeaCPlZLsNrr
 ihmnTusQO+FWy8PQlJxzfEXLXULmmik6aFdH1Mi32hWLD4O1ZQCwtgKW8otTmXHDgpAy
 GUMyH2/uOHn05fvJ9APHmI5gchXmkNCmR4tmkSi2bXedhXkAhYh/ibIOaX6KYjRzNNpr
 LLlA==
X-Gm-Message-State: AOAM530HGYEvr//aiXCVwiMhgRZ9rsuRsXavJBPUfhzwAAv4L6P23Tzu
 Jl9ONyGGZtNLIKIiv3xRapwqSlWxkMle0TNe
X-Google-Smtp-Source: ABdhPJwgW2oVOip//J09xG1zlmEDQXZ1ccUYnzdX/zl7OlTyyUk1dUHvLoE0puhVFK7eicp0yFN7Lw==
X-Received: by 2002:a17:90b:1808:b0:1df:de8e:bfab with SMTP id
 lw8-20020a17090b180800b001dfde8ebfabmr6164032pjb.246.1653185704124; 
 Sat, 21 May 2022 19:15:04 -0700 (PDT)
Received: from archlinux (d75-155-211-17.bchsia.telus.net. [75.155.211.17])
 by smtp.gmail.com with ESMTPSA id
 5-20020aa79245000000b0050dc76281c2sm4234373pfp.156.2022.05.21.19.15.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 21 May 2022 19:15:03 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
In-Reply-To: <87wnefvw88.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 21 May 2022 15:41:43 +0200")
References: <87mtfbekm2.fsf@HIDDEN> <87wnefvw88.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
Date: Sat, 21 May 2022 19:14:59 -0700
Message-ID: <87bkvqpb30.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


This is an example. I just typed 'R' to reply your email. As you see,
your original message is not included.

I did not mean a particular upgrade. I almost do a daily update for the
whole system. I am using Archlinux + spacemacs. I opened an issue for
Spacemacs, they said they did not do any upgrade for gnus commands.





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55553 <at> debbugs.gnu.org:


Received: (at 55553) by debbugs.gnu.org; 21 May 2022 13:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 21 09:41:57 2022
Received: from localhost ([127.0.0.1]:41019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsPMj-0006Fm-KO
	for submit <at> debbugs.gnu.org; Sat, 21 May 2022 09:41:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nsPMf-0006FC-Qq
 for 55553 <at> debbugs.gnu.org; Sat, 21 May 2022 09:41:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=S3ozZHGpZfsmCKRprND4k9iy11ERtNvxcMF/wPDCvrM=; b=iKYhdPu3rlrZJYbqKt4X7Jk5kE
 U90Gc+ou9agA/R32xFrM1ZzC3BikkpCHkIyF46wIUtFg+sWv+uW1DGZHRiFcCA0TczSzNKhvxHxeb
 ESoxPsp903zPQFte6GQdpLPpt28cLt1+Wt57v+m2uF83A94PG0NvuWM6bdv9Ai1DMyVA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nsPMW-0003lh-Ca; Sat, 21 May 2022 15:41:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Waleed Yousef <wyousef@HIDDEN>
Subject: Re: bug#55553: 28.1; Forward and Reply does not incude message
References: <87mtfbekm2.fsf@HIDDEN>
X-Now-Playing: The Style Council's _The Complete Adventures (2)_: "Strength
 of Your Nature"
Date: Sat, 21 May 2022 15:41:43 +0200
In-Reply-To: <87mtfbekm2.fsf@HIDDEN> (Waleed Yousef's message of "Fri, 20
 May 2022 18:32:21 -0700")
Message-ID: <87wnefvw88.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Waleed Yousef <wyousef@HIDDEN> writes: > The problem
 started
 probably during the last month. Gnus no longer > includes the original message
 that is being forwarded or replied. In > addition, it no longer saves my
 reply to the same group as [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55553
Cc: 55553 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Waleed Yousef <wyousef@HIDDEN> writes:

> The problem started probably during the last month. Gnus no longer
> includes the original message that is being forwarded or replied. In
> addition, it no longer saves my reply to the same group as I am used to.
> I did not change any thing in gnus.el.

`R' and `F' in Gnus include the messages like before when I try this, so
you're going to have to give a more thorough recipe to reproduce what
you're seeing if we're going to be able to debug this.

And by "during the last month", do you mean "after I started using Emacs
28.1"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 May 2022 01:32:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 21:32:30 2022
Received: from localhost ([127.0.0.1]:40404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsDyn-0002vE-NT
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 21:32:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:33740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyousef@HIDDEN>) id 1nsDym-0002v6-He
 for submit <at> debbugs.gnu.org; Fri, 20 May 2022 21:32:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39488)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wyousef@HIDDEN>) id 1nsDym-0002P7-9M
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2022 21:32:28 -0400
Received: from mail-pf1-x431.google.com ([2607:f8b0:4864:20::431]:36438)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wyousef@HIDDEN>) id 1nsDyj-0007Kb-Kk
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2022 21:32:28 -0400
Received: by mail-pf1-x431.google.com with SMTP id u15so9029602pfi.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 20 May 2022 18:32:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fcih-net.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=+94q2NePwe/+1vfEz9PiF+fNuxxm+AT4cxcfiOTjIiM=;
 b=lxd0NWVd/ITKB4joPuEbK7GT62NuASnwH+TG4GAeyycXGw0//1xkhA6/H0mb5xjkFW
 lf8oow0vpW15sc44YKJt3P8JXblYMj9XPEu10i7wj6nR5n3Cj1s5AsENvRnkkGddP62m
 BZGpNZw5E1D9WrdVGEOqTY0qzIaURMBEZilKVqApqAC+D1zh9/gjCfiacrFkadK4QWTJ
 R7ai6RZGr5uXwM13t6wjEoCuV2VhCpZCeT+3y8pdivv75X+HHApA9mCEyLAvoAPrQDcQ
 ht0xME65C5qmUv+qF5B0aP4udGYiON7437S7s89NdBVbPWFsnUMj3xDWtAa/455Eaeae
 8niw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=+94q2NePwe/+1vfEz9PiF+fNuxxm+AT4cxcfiOTjIiM=;
 b=BPRPVX1CdIa8IGrxly9C5MMn14Y1JVwAfvmSJCSlOBvGLyP/xGiktz9ox/U//GpvaL
 yjlBJpW8dweaDndgQpO1mCe8pORKab7LmIv7iyEusWwlqmfOs5/Qho09OknunSlH6CLH
 PhUb9sLpizGnMeYxhW8r43oLxcikvt2jnbJ+1ssW/DtiPecf4Jb+SJ6zyQWdg1WY/1cd
 /gyLMYgzBy08H/YN60kgqir778QsyRk7qV4ZzDehQrG91Ee9AgQgzh3UFVzBpHftKMeJ
 raQ4S9VGa9I6sOt/3q6rbP85toyJSW5EgaDYOEF8/rTqvlqNEix8pVMbZez7cO/SWL8R
 0yng==
X-Gm-Message-State: AOAM533DarNi02yV5G0p1rLye9vAXI74gsfxPE4WQoJcf09tZfkNiAH4
 fbZIqJsGJZfsxRXxVVNqc8O/gxwRtgU+7A==
X-Google-Smtp-Source: ABdhPJzvn6L305dtuueum3EaCMMojeaxts3bGmfgl6DAaugSxsiF+z0rv79kiPV7SNptbA38um1dsg==
X-Received: by 2002:a63:4e14:0:b0:3f2:779f:4ad3 with SMTP id
 c20-20020a634e14000000b003f2779f4ad3mr10716426pgb.92.1653096743268; 
 Fri, 20 May 2022 18:32:23 -0700 (PDT)
Received: from archlinux ([209.52.88.227]) by smtp.gmail.com with ESMTPSA id
 e17-20020a170902f11100b0015f309f14d0sm364053plb.56.2022.05.20.18.32.22
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 20 May 2022 18:32:22 -0700 (PDT)
From: Waleed Yousef <wyousef@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.1; Forward and Reply does not incude message
X-Debbugs-Package: emacs,gnus
Date: Fri, 20 May 2022 18:32:21 -0700
Message-ID: <87mtfbekm2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2607:f8b0:4864:20::431;
 envelope-from=wyousef@HIDDEN; helo=mail-pf1-x431.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


The problem started probably during the last month. Gnus no longer
includes the original message that is being forwarded or replied. In
addition, it no longer saves my reply to the same group as I am used to.
I did not change any thing in gnus.el.


In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-04-09 built on frederik
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Arch Linux

Configured using:
 'configure --sysconfdir=/etc --prefix=/usr --libexecdir=/usr/lib
 --localstatedir=/var --with-cairo --with-harfbuzz --with-modules
 --with-wide-int --with-x-toolkit=gtk3 --with-xft 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2
 -Wformat -Werror=format-security -fstack-clash-protection
 -fcf-protection -g -ffile-prefix-map=/build/emacs/src=/usr/src/debug
 -flto=auto' 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
 -flto=auto''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  global-evil-surround-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  eval-sexp-fu-flash-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  show-smartparens-global-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  gnus-topic-mode: t
  helm-descbinds-mode: t
  helm-mode: t
  helm-minibuffer-history-mode: t
  helm-flx-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  evil-escape-mode: t
  projectile-mode: t
  gnus-undo-mode: t
  recentf-mode: t
  delete-selection-mode: t
  winner-mode: t
  winum-mode: t
  pupo-mode: t
  volatile-highlights-mode: t
  global-vi-tilde-fringe-mode: t
  global-undo-tree-mode: t
  spaceline-info-mode: t
  spaceline-helm-mode: t
  save-place-mode: t
  savehist-mode: t
  persp-mode: t
  global-hl-todo-mode: t
  purpose-mode: t
  eyebrowse-mode: t
  global-anzu-mode: t
  anzu-mode: t
  editorconfig-mode: t
  global-edit-server-edit-mode: t
  clean-aindent-mode: t
  which-key-mode: t
  override-global-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  windmove-mode: t
  spacemacs-leader-override-mode: t
  global-spacemacs-leader-override-mode: t
  global-hl-line-mode: t
  xterm-mouse-mode: t
  global-auto-revert-mode: t
  ido-vertical-mode: t
  global-page-break-lines-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/wyousef/.emacs.d/elpa/28.1/develop/load-env-vars-20180511.2210/load-env-vars hides /home/wyousef/.emacs.d/core/libs/forks/load-env-vars
/home/wyousef/.emacs.d/elpa/28.1/develop/spinner-1.7.4/spinner hides /home/wyousef/.emacs.d/core/libs/spinner
/home/wyousef/.emacs.d/elpa/28.1/develop/transient-20220509.1943/transient hides /usr/share/emacs/28.1/lisp/transient

Features:
(shadow emacsbug cl-print debug flow-fill expand-region
text-mode-expansions cc-mode-expansions the-org-mode-expansions
python-el-fgallina-expansions html-mode-expansions er-basic-expansions
expand-region-core expand-region-custom gnus-draft mailalias smtpmail
sendmail cus-start ffap org-eldoc evil-org ob-C smartparens-c cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs ob-python smartparens-python python tramp-sh ob-shell
org-download org-attach org-id org-ref org-ref-core org-ref-glossary
org-ref-bibtex avy doi-utils org-ref-utils org-ref-export citeproc
citeproc-itemgetters citeproc-biblatex citeproc-bibtex citeproc-cite
citeproc-subbibs citeproc-sort citeproc-name citeproc-formatters
citeproc-number smartparens-rst smartparens-markdown rst citeproc-proc
citeproc-disamb citeproc-itemdata citeproc-generic-elements
citeproc-macro citeproc-choose citeproc-date citeproc-context
citeproc-prange citeproc-style citeproc-locale citeproc-term citeproc-rt
citeproc-lib citeproc-s org-ref-misc-links org-ref-label-link
org-ref-ref-links org-ref-citation-links org-ref-bibliography-links
bibtex-completion biblio biblio-download biblio-dissemin biblio-ieee
biblio-hal biblio-dblp biblio-crossref biblio-arxiv timezone biblio-doi
biblio-core parsebib org-superstar toc-org ol-eww evil-collection-eww
eww xdg url-queue ol-rmail ol-mhe ol-irc ol-info ol-gnus ol-docview
doc-view jka-compr ol-bibtex ol-bbdb ol-w3m ol-doi org-link-doi
org-habit evil-nerd-commenter evil-nerd-commenter-operator
evil-nerd-commenter-sdk smartparens-html sgml-mode facemenu cua-base
evil-surround misearch multi-isearch company-files company-keywords
company-etags company-gtags company-semantic company-template
company-dabbrev-code company-dabbrev company-capf company-quickhelp
php-extras company overseer pkg-info url-http url-auth url-gw epl
auto-compile packed elisp-slime-nav flycheck-elsa flycheck-package
package-lint finder eval-sexp-fu goto-addr vc-mtn vc-hg vc-git diff-mode
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs vc vc-dispatcher
bug-reference evil-lisp-state flycheck-pos-tip pos-tip flycheck
highlight-numbers parent-mode rainbow-delimiters smartparens-config
smartparens-org smartparens-text smartparens yasnippet-snippets
yasnippet image-file image-converter helm-external helm-net
editorconfig-core editorconfig-core-handle editorconfig-fnmatch
gnus-icalendar icalendar diary-lib diary-loaddefs sort gnus-cite smiley
shr-color mm-archive mail-extr gnus-async gnus-bcklg gnus-ml gnus-topic
nndraft nnmh qp gnutls pop3 nnselect gnus-search eieio-opt speedbar
ezimage dframe nnml nnfolder epa-file network-stream nsm gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache nnir
highlight-parentheses flx tramp-archive tramp-gvfs tramp-cache zeroconf
helm-command helm-elisp helm-eval edebug backtrace helm-info
helm-descbinds helm-mode helm-misc helm-files image-dired image-mode
exif tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp helm-buffers helm-occur helm-tags helm-locate
helm-grep helm-regexp helm-utils helm-help helm-types helm-flx helm
helm-core async-bytecomp helm-global-bindings helm-source
helm-multi-match helm-lib evil-escape ox-pandoc ht ox-org ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar org-contacts
org-projectile projectile grep compile org-category-capture org-capture
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku
svg gnus-group gnus-undo gnus-start gnus-dbus dbus gnus-cloud nnimap
utf7 netrc parse-time gnus-spec gnus-win nnrss dom mm-url nnmail
gnus-int gnus-range mail-source message rmc puny rfc822 mml mml-sec epa
mailabbrev gmm-utils mailheader nnoo gnus nnheader gnus-util rmail
rmail-loaddefs mail-utils text-property-search org-agenda org-refile
ox-html table ox-ascii ox-publish ox org-element avl-tree org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint org-pcomplete org-list org-faces org-entities org-version
ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex iso8601
time-date ol org-keys oc org-compat org-macs org-loaddefs cal-menu
calendar cal-loaddefs recentf all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons delsel winner auto-dictionary async
diminish evil-matchit evil-matchit-evil-setup evil-matchit-sdk
semantic/lex semantic/fw mode-local find-func xterm-color ws-butler
winum spacemacs-purpose-popwin window-purpose-x imenu-list hideshow
imenu ibuf-ext ibuffer ibuffer-loaddefs evil-collection-dired dired
dired-loaddefs etags fileloop generator xref project volatile-highlights
vi-tilde-fringe undo-tree diff queue symbol-overlay string-inflection
string-edit spaceline-config spaceline-segments spaceline powerline
powerline-separators color powerline-themes saveplace savehist posframe
popwin persp-mode org-rich-yank multi-line multi-line-find
multi-line-enter multi-line-decorator multi-line-respace
multi-line-shared shut-up multi-line-cycle multi-line-candidate
journalctl-mode array hl-todo compat geben dbgp tree-widget
window-purpose window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch let-alist window-purpose-layout
window-purpose-core window-purpose-configuration window-purpose-utils
eyebrowse evil-unimpaired f evil-textobj-line evil-mc
evil-mc-command-execute evil-mc-command-record evil-mc-cursor-make
evil-mc-region evil-mc-cursor-state evil-mc-undo evil-mc-vars
evil-mc-known-commands evil-mc-common evil-easymotion
evil-collection-buff-menu evil-collection annalist evil-anzu anzu emr
popup s dash editorconfig edit-server noutline outline drag-stuff
column-enforce-mode clean-aindent-mode clang-format xml helm-easymenu cl
drupal/pcomplete tex-site hybrid-mode evil-evilified-state which-key
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key use-package-core hydra lv evil
evil-integration evil-maps evil-commands reveal flyspell ispell
evil-jumps evil-command-window evil-search evil-ex shell pcomplete
comint ansi-color evil-types evil-macros evil-repeat evil-states
evil-core evil-common windmove calc calc-loaddefs calc-macs thingatpt
rect evil-digraphs evil-vars ring bind-map info quelpa mm-decode
mm-bodies mm-encode lisp-mnt mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr help-fns radix-tree hl-line xt-mouse autorevert
filenotify cl-extra disp-table spacemacs-dark-theme spacemacs-common
format-spec finder-inf ido-vertical-mode ido core-spacemacs
core-spacebind core-use-package-ext core-transient-state
core-micro-state core-toggle core-keybindings core-fonts-support
core-themes-support core-display-init core-jump core-release-management
core-custom-settings core-configuration-layer core-progress-bar
core-spacemacs-buffer core-funcs spacemacs-ht inline help-mode warnings
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq password-cache json map url-vars eieio
eieio-core eieio-loaddefs epg rfc6068 epg-config core-command-line
core-debug edmacro kmacro derived profiler core-hooks page-break-lines
easy-mmode core-env load-env-vars rx core-dotspacemacs advice pcase
core-customization validate cus-edit pp cus-load wid-edit seq byte-opt
bytecomp byte-compile cconv core-emacs-backports core-compilation
core-dumper subr-x spinner cl-macs gv cl-loaddefs cl-lib core-load-paths
core-versions core-early-funcs iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 1235180 1017250)
 (symbols 48 104043 87)
 (strings 32 337903 142783)
 (string-bytes 1 11337239)
 (vectors 16 139832)
 (vector-slots 8 2917184 1179542)
 (floats 8 1388 6902)
 (intervals 56 4546 4561)
 (buffers 992 52))




Acknowledgement sent to Waleed Yousef <wyousef@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55553; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Jun 2022 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.